Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPPartialSpecialization

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICPPBinding`, `ICPPTemplateDefinition`

All Known Subinterfaces:
  `ICPPClassTemplatePartialSpecialization`, `ICPPClassTemplatePartialSpecializationSpecialization`, `ICPPVariableTemplatePartialSpecialization`

public interface ICPPPartialSpecialization extends ICPPTemplateDefinition
A partially specialized variable or class template.

Since:
  6.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ICPPPartialSpecialization[]`
`EMPTY_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`ICPPTemplateDefinition`
`getPrimaryTemplate()`
Returns the ICPPTemplateDefinition which this is a specialization of.
`ICPPTemplateArgument[]`
`getTemplateArguments()`
Returns the arguments of this partial specialization.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateDefinition

`getTemplateParameters`

## Field Details

### EMPTY_ARRAY

static final ICPPPartialSpecialization[] EMPTY_ARRAY

## Method Details

### getPrimaryTemplate

ICPPTemplateDefinition getPrimaryTemplate()
Returns the ICPPTemplateDefinition which this is a specialization of.

### getTemplateArguments

ICPPTemplateArgument[] getTemplateArguments()
Returns the arguments of this partial specialization.